## PkRequireRestart

PkRequireRestart — RequireRestart object

## Synopsis

                        PkRequireRestartPrivate;
                        PkRequireRestart;
    PkRequireRestart *  pk_require_restart_new              (void);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkRequireRestart

## Properties

      "package-id"               gchar*                : Read / Write
      "restart"                  guint                 : Read / Write

## Description

This GObject represents a requirement of restart from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### PkRequireRestartPrivate

    typedef struct _PkRequireRestartPrivate PkRequireRestartPrivate;

Private PkRequireRestart data

### PkRequireRestart

    typedef struct _PkRequireRestart PkRequireRestart;

### pk_require_restart_new ()

    PkRequireRestart *  pk_require_restart_new              (void);

Returns : | a new PkRequireRestart object.

Since 0.5.4

## Property Details

### The `"package-id"` property

      "package-id"               gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"restart"` property

      "restart"                  guint                 : Read / Write

Default value: 0

Since 0.5.4